﻿/// <reference path="../jquery-1.3.2-vsdoc.js" />

(function($) {
    epi.poll = function() {
    
        // object returned by function. Exposes public methods and variables.
        var pub = {};

        pub.saveSettings = function(e, gadgetContext) {
            // post data to server to save settings.
            var containerForm = $(this).closest("form");
            var formData = containerForm.serialize();

            $.post(containerForm.attr("action"), formData, function(data) {
                // Get the gadget context object and load the default view.
                gadgetContext.loadView();
            });
            return false;
        };

        return pub;
    } ();
} (epiJQuery));