﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Xml.Serialization;
using System.Text;
using System.Runtime.Serialization;

namespace EPiServer.Models.Poll
{    
    [DataContract]
    public class Settings : EPiServer.Data.Dynamic.IDynamicData
    {
        public Settings()
        {
            PageId = 25;
            XFormPropertyName = "XForm";
            FieldNameInXForm = "Webpoll";
            ChartType = "p3";
            LiveUpdate = true;
        }

        [DataMember]
        public int PageId { get; set; }

        [DataMember]
        public string XFormPropertyName { get; set; }

        [DataMember]
        public string FieldNameInXForm { get; set; }

        [DataMember]
        public string ChartType { get; set; }        
        
        [DataMember]
        public Guid GadgetId { get; set; }

        public bool LiveUpdate { get; set; }

        #region IDynamicData Members

        public EPiServer.Data.Identity Id
        {
            get;
            set;
        }

        #endregion
    }
}
